#include <bits/stdc++.h>
using namespace std;
int main()
{
    long long n,k,nuli=0;
    cin>>n>>k;
    vector<int> niza(n);
    for (int i=0;i<n;i++) {
        cin>>niza[i];
        if (niza[i]==0) {
            nuli++;
            return 0;
        }
    }
        cout<<1;
    return 0;
}
